diff --git a/src/Castle.Core.Tests/Castle.Core.Tests.csproj b/src/Castle.Core.Tests/Castle.Core.Tests.csproj
index b002075..8e90d29 100644
--- a/src/Castle.Core.Tests/Castle.Core.Tests.csproj
+++ b/src/Castle.Core.Tests/Castle.Core.Tests.csproj
@@ -1,637 +1,656 @@
-ï»¿<?xml version="1.0" encoding="utf-8"?>
-<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
-  <PropertyGroup>
-    <RootPath Condition=" '$(RootPath)' == '' ">$(MSBuildProjectDirectory)\..\..</RootPath>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
-    <TargetFrameworkProfile />
-  </PropertyGroup>
-  <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">NET40-Release</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
-    <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{087AD3BF-5E40-450D-8138-FBB5F57AC474}</ProjectGuid>
-    <OutputType>Library</OutputType>
-    <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>CastleTests</RootNamespace>
-    <AssemblyName>Castle.Core.Tests</AssemblyName>
-    <SignAssembly>true</SignAssembly>
-    <FileUpgradeFlags>
-    </FileUpgradeFlags>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Debug|AnyCPU' ">
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <OutputPath>bin\NET40-Debug\</OutputPath>
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <DefineConstants>TRACE;DEBUG;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Release|AnyCPU' ">
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <OutputPath>bin\NET40-Release\</OutputPath>
-    <DebugType>pdbonly</DebugType>
-    <Optimize>true</Optimize>
-    <DefineConstants>TRACE;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <DocumentationFile>
-    </DocumentationFile>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Debug|AnyCPU'">
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
-    <OutputPath>bin\NET35-Debug\</OutputPath>
-    <DefineConstants>TRACE;DEBUG;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <Optimize>false</Optimize>
-    <DebugType>full</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <DebugSymbols>true</DebugSymbols>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Release|AnyCPU'">
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
-    <OutputPath>bin\NET35-Release\</OutputPath>
-    <DefineConstants>TRACE;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <DocumentationFile>
-    </DocumentationFile>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Release|AnyCPU'">
-    <OutputPath>bin\SL40-Release\</OutputPath>
-    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
-    <DefineConstants>TRACE;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <DocumentationFile>
-    </DocumentationFile>
-    <NoWarn>1685</NoWarn>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Debug|AnyCPU'">
-    <DebugSymbols>true</DebugSymbols>
-    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
-    <OutputPath>bin\SL40-Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <DebugType>full</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <NoWarn>1685</NoWarn>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Release|AnyCPU'">
-    <OutputPath>bin\SL50-Release\</OutputPath>
-    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
-    <DefineConstants>TRACE;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <DocumentationFile>
-    </DocumentationFile>
-    <NoWarn>1685</NoWarn>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Debug|AnyCPU'">
-    <DebugSymbols>true</DebugSymbols>
-    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
-    <OutputPath>bin\SL50-Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <DebugType>full</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <NoWarn>1685</NoWarn>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup>
-    <AssemblyOriginatorKeyFile>..\..\buildscripts\CastleKey.snk</AssemblyOriginatorKeyFile>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET45-Debug|AnyCPU'">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\NET45-Debug\</OutputPath>
-    <DefineConstants>TRACE;DEBUG;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
-    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <DebugType>full</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET45-Release|AnyCPU'">
-    <OutputPath>bin\NET45-Release\</OutputPath>
-    <DefineConstants>TRACE;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
-    <Optimize>true</Optimize>
-    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>AnyCPU</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <ItemGroup>
-    <Reference Include="adodb, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\lib\net35\adodb.dll</HintPath>
-    </Reference>
-  </ItemGroup>
-  <Choose>
-    <When Condition="$(TargetFrameworkVersion)!='v3.5'">
-      <ItemGroup>
-        <Reference Include="Microsoft.CSharp" />
-      </ItemGroup>
-    </When>
-  </Choose>
-  <ItemGroup>
-    <Reference Include="NLog">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath Condition="'$(Configuration)' == 'NET35-Release' or '$(Configuration)' == 'NET35-Debug'">..\..\lib\net35\NLog.dll</HintPath>
-      <HintPath Condition="'$(Configuration)' == 'NET40-Release' or '$(Configuration)' == 'NET40-Debug'">..\..\lib\net40\NLog.dll</HintPath>
-      <HintPath Condition="'$(Configuration)' == 'NET45-Release' or '$(Configuration)' == 'NET45-Debug'">..\..\lib\net45\NLog.dll</HintPath>
-    </Reference>
-  </ItemGroup>
-  <ItemGroup>
-    <Reference Include="Serilog, Version=1.3.0.0, Culture=neutral, PublicKeyToken=24c2f752a8e58a10, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath Condition="'$(Configuration)' == 'NET45-Release' or '$(Configuration)' == 'NET45-Debug'">..\..\lib\net45\Serilog.dll</HintPath>
-      <HintPath Condition="'$(Configuration)' == 'NET40-Release' or '$(Configuration)' == 'NET40-Debug'">..\..\lib\net40\Serilog.dll</HintPath>
-    </Reference>
-    <Reference Include="Serilog.FullNetFX, Version=1.3.0.0, Culture=neutral, PublicKeyToken=24c2f752a8e58a10, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath Condition="'$(Configuration)' == 'NET45-Release' or '$(Configuration)' == 'NET45-Debug'">..\..\lib\net45\Serilog.FullNetFX.dll</HintPath>
-      <HintPath Condition="'$(Configuration)' == 'NET40-Release' or '$(Configuration)' == 'NET40-Debug'">..\..\lib\net40\Serilog.FullNetFX.dll</HintPath>
-    </Reference>
-  </ItemGroup>
-  <ItemGroup>
-    <Reference Include="Rhino.Mocks.CPP.Interfaces">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\lib\net35\Rhino.Mocks.CPP.Interfaces.dll</HintPath>
-    </Reference>
-    <Reference Include="System" />
-    <Reference Include="System.Core" />
-    <Reference Include="System.Xml" />
-  </ItemGroup>
-  <Choose>
-    <When Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
-      <ItemGroup>
-        <Reference Include="System.Data" />
-        <Reference Include="nunit.framework">
-          <SpecificVersion>False</SpecificVersion>
-          <HintPath>..\..\lib\nunit.framework.dll</HintPath>
-        </Reference>
-      </ItemGroup>
-    </When>
-  </Choose>
-  <Choose>
-    <When Condition="$(MSBuildTargets) == 'Silverlight 5.0' or $(MSBuildTargets) == 'Silverlight 4.0'">
-      <ItemGroup>
-        <Reference Include="NUnit.Silverlight.Framework">
-          <SpecificVersion>False</SpecificVersion>
-          <HintPath>$(RootPath)\lib\$(BuildConfigKey)\NUnit.Silverlight.Framework.dll</HintPath>
-        </Reference>
-        <Reference Include="NUnit.Silverlight.Compatibility">
-          <SpecificVersion>False</SpecificVersion>
-          <HintPath>$(RootPath)\lib\$(BuildConfigKey)\NUnit.Silverlight.Compatibility.dll</HintPath>
-        </Reference>
-      </ItemGroup>
-    </When>
-  </Choose>
-  <ItemGroup>
-    <Compile Include="AccessLevelTestCase.cs" />
-    <Compile Include="BasePEVerifyTestCase.cs" />
-    <Compile Include="BasicClassProxyTestCase.cs" />
-    <Compile Include="BasicInterfaceProxyTestCase.cs" />
-    <Compile Include="BugAttribute.cs" />
-    <Compile Include="BugsReported\Core40.cs" />
-    <Compile Include="BugsReported\DynProxy159.cs" />
-    <Compile Include="BugsReported\DynProxy145_SynchronizationContext.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPhoneWithFetch.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\NameValueCollectionAdapterTests.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithMethodsWithAllKindsOfOptionalParameters.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithMethodWithParameterWithDefaultValue.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithMethodWithParameterWithNullDefaultValue.cs" />
-    <Compile Include="DynamicProxy.Tests\ClassProxyWithDefaultValuesTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\ClassProxyWithMethodsWithOptionalParametersTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\GenericInterfaceWithGenericMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\InterfaceProxyWithMethodsWithOptionalParametersTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\InterfaceWithMethodsWithAllKindsOfOptionalParameters.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\InterfaceWithMethodWithParameterWithNullDefaultValue.cs" />
-    <Compile Include="MultipleSavedAssembliesTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\AdaptingGenericDictionaryTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\VirtualObjectTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\ConflictBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\ReferenceBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlReferenceManagerTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlArrayBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlAttributeBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlElementBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlIncludeBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlSelfBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XPathBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlAdapterAcceptanceTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\DefaultBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlRootBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlTypeBehaviorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Collections\XmlNodeListTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Collections\XmlNodeSetTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlAdapterTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Address.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Color.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\XmlEquivalent.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IEmptyTest.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IBook.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\MemberwiseEqualityHashCodeStrategyTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IUseBehaviorBuilder.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\KeyBehaviorBuilderAttribute.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\CustomGetter.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IAddress.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IConversions.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IConversionsToString.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IEnsureMetaDoesNotConflict.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IItemContainer.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IItemContainerWithComponent.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IMutableName.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IName.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\InfrastructureStub.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPerson.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithDeniedInheritancePrefix.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithMethod.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithoutPrefix.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithPrefix.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithPrefixOverride.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithPrefixOverrideFurtherOverride.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithTypePrefixOverride.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IPhone.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\IStringLists.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Phone.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\PhoneConverter.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\XmlStructureComparer.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\DummyLazy.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\MockXmlIncludedTypeMap.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\MockXPathFunction.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\MockXPathVariable.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\NamespaceSource.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathCompilerTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathCursorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathMutableCursorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\DummyXmlNode.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\SysXmlCursorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\SysXmlNodeTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XmlNodeTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathReadableCursorTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathNodeTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlTypeSerializerCacheTestCase.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlTypeSerializerTests.cs" />
-    <Compile Include="Core.Tests\Internal\InterfaceAttributeUtilTestCase.cs" />
-    <Compile Include="Core.Tests\Internal\PermissionUtilTestCase.cs" />
-    <Compile Include="Core.Tests\Internal\WeakKeyDictionaryTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\AbstractClassWithMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithProtectedGenericMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithProtectedMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\Component2.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\EmptyClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\HasCtorWithParamsStrings.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\HasCtorWithIntAndParamsArgument.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\HasCtorWithParamsArgument.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\HasFinalizeMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\HasFinalizer.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\IHasNonInheritableAttributeWithArray.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\HasTwoProtectedMethods.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\IHasNonInheritableAttributeWithArray2.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\InheritsAbstractClassWithMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\NonInheritableAttribute.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\NonInheritableWithArray2Attribute.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\NonInheritableWithArrayAttribute.cs" />
-    <Compile Include="DynamicProxy.Tests\DelegateProxyTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\HasNonInheritableAttribute.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassToSerialize.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithIndexer.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\DiffAccessLevelOnProperties.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\NonPublicConstructorClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\NonPublicMethodsClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ServiceClass.cs" />
-    <Compile Include="ClassWithAttributesTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Explicit\TwoInterfacesExplicit.cs" />
-    <Compile Include="DynamicProxy.Tests\InterceptionRetryTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\InterfaceProxyWithTargetInterfaceAdditionalInterfacesTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnAnyReferenceType.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnAnyTypeWithDefaultConstructor.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnInterface.cs" />
-    <Compile Include="DynamicProxy.Tests\ProxyTypeCachingWithDifferentHooksTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\SerializableClassTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\C.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\ClassWithDirectAndIndirectSelfReference.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\ClassWithIndirectSelfReference.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\ComplexHolder.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\DelegateHolder.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\EventHandlerClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\SerializableExplicitImpl.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\IMixedInterface.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\IndirectDelegateHolder.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\MethodFilterHook.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\SerializableInterceptorSelector.cs" />
-    <Compile Include="DynamicProxy.Tests\Serialization\SerializableMixin.cs" />
-    <Compile Include="GenClasses\ClassWithGenArgs.cs" />
-    <Compile Include="GenClasses\ClassWithIndexer.cs" />
-    <Compile Include="GenClasses\ClassWithMethodWithReturnArrayOfListOfT.cs" />
-    <Compile Include="GenClasses\GenClassNameClash.cs" />
-    <Compile Include="GenClasses\GenClassWithConstraints.cs" />
-    <Compile Include="GenClasses\GenClassWithGenMethods.cs" />
-    <Compile Include="GenClasses\GenClassWithGenMethodsConstrained.cs" />
-    <Compile Include="GenClasses\GenClassWithGenReturn.cs" />
-    <Compile Include="GenClasses\OnlyGenMethodsClass.cs" />
-    <Compile Include="GenerationHookTestCase.cs" />
-    <Compile Include="GenericClassProxyTestCase.cs" />
-    <Compile Include="GenericConstraintsTestCase.cs" />
-    <Compile Include="GenericInterfaceProxyTestCase.cs" />
-    <Compile Include="GenInterfaces\GenInterface.cs" />
-    <Compile Include="GenInterfaces\GenInterfaceWithGenericTypes.cs" />
-    <Compile Include="GenInterfaces\GenInterfaceWithGenMethods.cs" />
-    <Compile Include="GenInterfaces\GenInterfaceWithGenMethodsAndGenReturn.cs" />
-    <Compile Include="GenInterfaces\IConstraint_Method1IsTypeStructAndMethod2.cs" />
-    <Compile Include="GenInterfaces\IHaveGenericMethodWithNewClassStructConstraints.cs" />
-    <Compile Include="Interceptors\LogInvocationInterceptor.cs" />
-    <Compile Include="Interceptors\ProceedNTimesInterceptor.cs" />
-    <Compile Include="Interceptors\ThrowingInterceptor.cs" />
-    <Compile Include="InterClasses\IExtendedService.cs" />
-    <Compile Include="InterClasses\IService.cs" />
-    <Compile Include="InterClasses\ServiceImpl.cs" />
-    <Compile Include="InterClasses\OneAndEmpty.cs" />
-    <Compile Include="InterClasses\WithRefOut.cs" />
-    <Compile Include="InterClasses\WithRefOutEmpty.cs" />
-    <Compile Include="Interfaces\ISimple.cs" />
-    <Compile Include="MethodsWithAttributesOnParametersTestCase.cs" />
-    <Compile Include="MixinTestCase.cs" />
-    <Compile Include="NLogIntegration\NLogTests.cs" />
-    <Compile Include="SerilogIntegration\SerilogTests.cs" />
-    <Compile Include="ThrowingInterceptorException.cs" />
-    <Compile Include="XmlConfigurationDeserializerTests.cs" />
-    <Compile Include="XmlSerializationTestCase.cs" />
-  </ItemGroup>
-  <Choose>
-    <When Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
-      <ItemGroup>
-        <Compile Include="log4netIntegration\log4netConfig.Designer.cs">
-          <AutoGen>True</AutoGen>
-          <DesignTime>True</DesignTime>
-          <DependentUpon>log4netConfig.resx</DependentUpon>
-        </Compile>
-        <Compile Include="log4netIntegration\Log4netFactoryTestCase.cs" />
-      </ItemGroup>
-    </When>
-  </Choose>
-  <ItemGroup>
-    <None Include="..\..\buildscripts\CastleKey.snk">
-      <Link>CastleKey.snk</Link>
-    </None>
-    <None Include="App.config">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Properties\Settings.settings">
-      <Generator>SettingsSingleFileGenerator</Generator>
-      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
-    </None>
-  </ItemGroup>
-  <ItemGroup>
-    <Compile Include="Components.DictionaryAdapter.Tests\AdaptingNameValueCollectionsTestCase.cs" />
-    <Compile Include="BugsReported\DynProxy132.cs" />
-    <Compile Include="ChangeProxyTargetInterceptor.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\CreateHashtableDictionaryStrategy.cs" />
-    <Compile Include="Components.DictionaryAdapter.Tests\DictionaryAdapterFactoryTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithAttributesOnMethodParameters.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithExplicitInterface.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithInterface.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithVirtualInterface.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWith_Smart_Attribute.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\RequiredAttribute.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithAutoProperty.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithNoDefaultCtor.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithProtectedGenericMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithProtectedMethod.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithPublicField.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtuallyImplementsInterfaceWithEvent.cs" />
-    <Compile Include="DynamicProxy.Tests\ClassProxyWithTargetTestCase.cs" />
-    <Compile Include="ComInterfacesTests.cs" />
-    <Compile Include="DynamicProxy.Tests\Explicit\GenericMethodExplicit.cs" />
-    <Compile Include="DynamicProxy.Tests\Explicit\GenInterfaceExplicit.cs" />
-    <Compile Include="DynamicProxy.Tests\Explicit\SimpleInterfaceExplicit.cs" />
-    <Compile Include="DynamicProxy.Tests\Explicit\WithRefOutExplicit.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\IBase.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\ISub1.cs" />
-    <Compile Include="DynamicProxy.Tests\Interfaces\ISub2.cs" />
-    <Compile Include="DynamicProxy.Tests\ProxyTypeCachingTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\ExplicitInterfaceTestCase.cs" />
-    <Compile Include="CustomAttributesTestCase.cs" />
-    <Compile Include="GenClasses\GenClassWithExplicitImpl.cs">
-      <SubType>Code</SubType>
-    </Compile>
-    <Compile Include="GenInterfaces\GenInterfaceWithMethodWithNestedGenericParameter.cs" />
-    <Compile Include="GenInterfaces\GenInterfaceWithMethodWithNestedGenericParameterByRef.cs" />
-    <Compile Include="GenInterfaces\GenInterfaceWithMethodWithNestedGenericReturn.cs" />
-    <Compile Include="IdEqualityHashCodeStrategy.cs" />
-    <Compile Include="Interceptors\AssertCanChangeTargetInterceptor.cs" />
-    <Compile Include="Interceptors\AssertCannotChangeTargetInterceptor.cs" />
-    <Compile Include="Interceptors\CallCountingInterceptor.cs" />
-    <Compile Include="Interceptors\AddTwoInterceptor.cs" />
-    <Compile Include="BaseTestCaseTestCase.cs" />
-    <Compile Include="BasicInterfaceProxyWithoutTargetTestCase.cs" />
-    <Compile Include="BugsReportedTestCase.cs" />
-    <Compile Include="BugsReported\Camera.cs" />
-    <Compile Include="BugsReported\ConstraintViolationInDebuggerTestCase.cs" />
-    <Compile Include="BugsReported\DynProxy46.cs" />
-    <Compile Include="BugsReported\DynProxy88.cs" />
-    <Compile Include="CacheKeyTestCase.cs" />
-    <Compile Include="CanDefineAdditionalCustomAttributes.cs" />
-    <Compile Include="ClassEmitterTestCase.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassCallingVirtualMethodFromCtor.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithCharRetType.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithConstructors.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithVariousConstructors.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithInternalDefaultConstructor.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithProtectedDefaultConstructor.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\MySerializableClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ProtectedInternalConstructorClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\SimpleClass.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassOverridingEqualsAndGetHashCode.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\ClassWithDefaultConstructor.cs" />
-    <Compile Include="DynamicProxy.Tests\ClassProxyConstructorsTestCase.cs" />
-    <Compile Include="Interceptors\DoNothingInterceptor.cs" />
-    <Compile Include="GenClasses\ClassWithMethodWithArrayOfListOfT.cs" />
-    <Compile Include="GenClasses\ClassWithMethodWithGenericOfGenericOfT.cs" />
-    <Compile Include="GenClasses\MethodWithArgumentBeingArrayOfGenericTypeOfT.cs" />
-    <Compile Include="GenericMethodsProxyTestCase.cs" />
-    <Compile Include="DictionarySerializationTestCase.cs" />
-    <Compile Include="GenInterfaces\GenericMethodWhereOneGenParamInheritsTheOther.cs" />
-    <Compile Include="InterClasses\IInterfaceWithGenericMethodWithDependentConstraint.cs" />
-    <Compile Include="InheritedInterfacesTestCase.cs" />
-    <Compile Include="InterceptorSelectorTestCase.cs" />
-    <Compile Include="InterfaceProxyBaseTypeTestCase.cs" />
-    <Compile Include="InterfaceProxyWithTargetInterfaceTestCase.cs" />
-    <Compile Include="Interfaces\IDecimalOutParam.cs" />
-    <Compile Include="Interfaces\IdenticalInterfaces.cs" />
-    <Compile Include="Interfaces\IEmpty.cs" />
-    <Compile Include="Interfaces\IFooWithIntPtr.cs" />
-    <Compile Include="Interfaces\IFooWithOutIntPtr.cs" />
-    <Compile Include="Interfaces\IGenericWithRefOut.cs" />
-    <Compile Include="Interfaces\IHaveIndexers.cs" />
-    <Compile Include="Interfaces\INullable.cs" />
-    <Compile Include="Interfaces\IOne.cs" />
-    <Compile Include="Interfaces\ITwo.cs" />
-    <Compile Include="Interfaces\IWithRefOut.cs" />
-    <Compile Include="InterClasses\One.cs" />
-    <Compile Include="InterClasses\OneTwo.cs" />
-    <Compile Include="InterClasses\Two.cs" />
-    <Compile Include="InvocationMethodInvocationTargetTestCase.cs" />
-    <Compile Include="InvocationTypesCachingTestCase.cs" />
-    <Compile Include="LoggingTestCase.cs" />
-    <Compile Include="MethodEquivalenceTestCase.cs" />
-    <Compile Include="MixinDataTestCase.cs" />
-    <Compile Include="CrossAppDomainCaller.cs" />
-    <Compile Include="MethodComparerTestCase.cs" />
-    <Compile Include="GenericTestUtility.cs" />
-    <Compile Include="GenInterfaces\GenInterfaceHierarchy.cs" />
-    <Compile Include="GenInterfaces\GenExplicitImplementation.cs" />
-    <Compile Include="GenInterfaces\GenInterfaceWithGenArray.cs" />
-    <Compile Include="GenInterfaces\OnlyGenMethodsInterface.cs" />
-    <Compile Include="Interceptors\ChangeTargetInterceptor.cs" />
-    <Compile Include="Interceptors\KeepDataInterceptor.cs" />
-    <Compile Include="InterClasses\AlwaysThrowsServiceImpl.cs" />
-    <Compile Include="InterClasses\ClassWithIndexer.cs" />
-    <Compile Include="InterClasses\ClassWithMarkerInterface.cs" />
-    <Compile Include="InterClasses\ClassWithMultiDimentionalArray.cs" />
-    <Compile Include="InterClasses\IClassWithMultiDimentionalArray.cs" />
-    <Compile Include="InterClasses\IMyInterface2.cs" />
-    <Compile Include="InterClasses\InterfaceWithIndexer.cs" />
-    <Compile Include="InterClasses\IService2.cs" />
-    <Compile Include="InvocationTestCase.cs" />
-    <Compile Include="MethodFinderTestCase.cs" />
-    <Compile Include="Mixins\ClassImplementingIDerivedSImpleMixin.cs" />
-    <Compile Include="Mixins\ClassImplementingISimpleMixin.cs" />
-    <Compile Include="Mixins\ComplexMixin.cs" />
-    <Compile Include="Mixins\IDerivedSimpleMixin.cs" />
-    <Compile Include="Mixins\OtherMixin.cs" />
-    <Compile Include="Mixins\OtherMixinImplementingISimpleMixin.cs" />
-    <Compile Include="Mixins\SimpleMixin.cs" />
-    <Compile Include="ModuleScopeTestCase.cs" />
-    <Compile Include="NonProxiedMethodsNoTargetTestCase.cs" />
-    <Compile Include="NonProxiedMixinMethodsTestCase.cs" />
-    <Compile Include="NonProxiedTargetMethodsTestCase.cs" />
-    <Compile Include="OrderOfInterfacePrecedenceTestCase.cs" />
-    <Compile Include="OutRefParamsTestCase.cs" />
-    <Compile Include="PersistentProxyBuilderTestCase.cs" />
-    <Compile Include="Interceptors\ProceedOnTypeInterceptor.cs" />
-    <Compile Include="Properties\Settings.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTimeSharedInput>True</DesignTimeSharedInput>
-      <DependentUpon>Settings.settings</DependentUpon>
-    </Compile>
-    <Compile Include="ProxyGenerationOptionsTestCase.cs" />
-    <Compile Include="Interceptors\RequiredParamInterceptor.cs" />
-    <Compile Include="ProxyKind.cs" />
-    <Compile Include="ProxyNothingHook.cs" />
-    <Compile Include="ProxyTargetAccessorHandlingTestCase.cs" />
-    <Compile Include="RhinoMocksTestCase.cs" />
-    <Compile Include="InternalsVisibleTo.cs" />
-    <Compile Include="Interceptors\SetReturnValueInterceptor.cs" />
-    <Compile Include="Interceptors\WithCallbackInterceptor.cs" />
-    <Compile Include="DynamicProxy.Tests\Classes\VirtuallyImplementsInterfaceWithProperty.cs" />
-    <Compile Include="ConsoleLoggerTestCase.cs" />
-    <Compile Include="DiagnosticsLoggerTestCase.cs" />
-    <Compile Include="LevelFilteredLoggerTests.cs" />
-    <Compile Include="MonitorLockTestCase.cs" />
-    <Compile Include="SlimReadWriteLockTestCase.cs" />
-    <Compile Include="ReflectionBasedDictionaryAdapterTestCase.cs" />
-    <Compile Include="Core.Tests\Resources\AssemblyResourceFactoryTestCase.cs" />
-    <Compile Include="Core.Tests\Resources\CustomUriTestCase.cs" />
-    <Compile Include="Core.Tests\Resources\FileResourceFactoryTestCase.cs" />
-    <Compile Include="Core.Tests\Resources\MoreRes\TestRes.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
-      <DependentUpon>TestRes.resx</DependentUpon>
-    </Compile>
-    <Compile Include="Core.Tests\Resources\UncResourceFactoryTestCase.cs" />
-    <Compile Include="StreamLoggerTests.cs" />
-    <Compile Include="TestDictionaryValidator.cs" />
-    <Compile Include="TraceLoggerTests.cs" />
-  </ItemGroup>
-  <ItemGroup>
-    <Content Include="log4netIntegration\log4net.xml" />
-    <EmbeddedResource Include="Core.Tests\Resources\file1.txt">
-      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
-    </EmbeddedResource>
-    <EmbeddedResource Include="Core.Tests\Resources\MoreRes\TestRes.resx">
-      <Generator>ResXFileCodeGenerator</Generator>
-      <LastGenOutput>TestRes.Designer.cs</LastGenOutput>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <Content Include="Core.Tests\Resources\MoreRes\file2.txt" />
-    <EmbeddedResource Include="log4netIntegration\log4netConfig.resx">
-      <Generator>ResXFileCodeGenerator</Generator>
-      <LastGenOutput>log4netConfig.Designer.cs</LastGenOutput>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\Castle.Core\Castle.Core.csproj">
-      <Project>{E4FA5B53-7D36-429E-8E5C-53D5479242BA}</Project>
-      <Name>Castle.Core</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\Castle.Services.Logging.NLogIntegration\Castle.Services.Logging.NLogIntegration.csproj">
-      <Project>{D680B5DB-B943-4BB5-891A-1695DEF86A3A}</Project>
-      <Name>Castle.Services.Logging.NLogIntegration</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\Castle.Services.Logging.SerilogIntegration\Castle.Services.Logging.SerilogIntegration.csproj" Condition="'$(Configuration)' == 'NET45-Release' or '$(Configuration)' == 'NET45-Debug' or '$(Configuration)' == 'NET40-Debug' or '$(Configuration)' == 'NET40-Release'">
-      <Project>{15410e1f-e79f-43b6-b403-228768df793d}</Project>
-      <Name>Castle.Services.Logging.SerilogIntegration</Name>
-    </ProjectReference>
-  </ItemGroup>
-  <Choose>
-    <When Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
-      <ItemGroup>
-        <ProjectReference Include="..\Castle.Services.Logging.log4netIntegration\Castle.Services.Logging.log4netIntegration.csproj">
-          <Project>{FA79D6B4-30B1-444A-A627-ED283BF6406B}</Project>
-          <Name>Castle.Services.Logging.log4netIntegration</Name>
-        </ProjectReference>
-        <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL">
-          <SpecificVersion>False</SpecificVersion>
-          <HintPath>..\..\lib\net35\log4net.dll</HintPath>
-        </Reference>
-      </ItemGroup>
-    </When>
-  </Choose>
-  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" Condition="($(MSBuildTargets) == '') Or ($(MSBuildTargets) == 'CSharp')" />
-  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v4.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 4.0'" />
-  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v5.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 5.0'" />
-  <Import Project="$(RootPath)\Settings.proj" />
-  <Import Project="$(BuildScriptsPath)\Castle.Common.targets" />
-  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
-       Other similar extension points exist, see Microsoft.Common.targets.
-  <Target Name="BeforeBuild">
-  </Target>
-  <Target Name="AfterBuild">
-  </Target>
-  -->
+ï»¿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
+  <PropertyGroup>
+    <RootPath Condition=" '$(RootPath)' == '' ">$(MSBuildProjectDirectory)\..\..</RootPath>
+    <TargetFrameworkProfile />
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+  </PropertyGroup>
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">NET40-Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{087AD3BF-5E40-450D-8138-FBB5F57AC474}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>CastleTests</RootNamespace>
+    <AssemblyName>Castle.Core.Tests</AssemblyName>
+    <SignAssembly>true</SignAssembly>
+    <FileUpgradeFlags>
+    </FileUpgradeFlags>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Debug|AnyCPU' ">
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <OutputPath>bin\NET40-Debug\</OutputPath>
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <DefineConstants>TRACE;DEBUG;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <Prefer32Bit>false</Prefer32Bit>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'NET40-Release|AnyCPU' ">
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <OutputPath>bin\NET40-Release\</OutputPath>
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <DefineConstants>TRACE;DOTNET40 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <Prefer32Bit>false</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Debug|AnyCPU'">
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <OutputPath>bin\NET35-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <Optimize>false</Optimize>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <DebugSymbols>true</DebugSymbols>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET35-Release|AnyCPU'">
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <OutputPath>bin\NET35-Release\</OutputPath>
+    <DefineConstants>TRACE;DOTNET35 FEATURE_LEGACY_REFLECTION_API FEATURE_SERIALIZATION</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <Prefer32Bit>false</Prefer32Bit>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Release|AnyCPU'">
+    <OutputPath>bin\SL40-Release\</OutputPath>
+    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
+    <DefineConstants>TRACE;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1685</NoWarn>
+    <Prefer32Bit>false</Prefer32Bit>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL40-Debug|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <MSBuildTargets>Silverlight 4.0</MSBuildTargets>
+    <OutputPath>bin\SL40-Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;SILVERLIGHT SL4 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <NoWarn>1685</NoWarn>
+    <Prefer32Bit>false</Prefer32Bit>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <WarningLevel>4</WarningLevel>
+    <Optimize>false</Optimize>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Release|AnyCPU'">
+    <OutputPath>bin\SL50-Release\</OutputPath>
+    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
+    <DefineConstants>TRACE;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <NoWarn>1685</NoWarn>
+    <Prefer32Bit>false</Prefer32Bit>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'SL50-Debug|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <MSBuildTargets>Silverlight 5.0</MSBuildTargets>
+    <OutputPath>bin\SL50-Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;SILVERLIGHT SL5 FEATURE_LEGACY_REFLECTION_API</DefineConstants>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <NoWarn>1685</NoWarn>
+    <Prefer32Bit>false</Prefer32Bit>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <WarningLevel>4</WarningLevel>
+    <Optimize>false</Optimize>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>..\..\buildscripts\CastleKey.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET45-Debug|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\NET45-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>false</Prefer32Bit>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <WarningLevel>4</WarningLevel>
+    <Optimize>false</Optimize>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NET45-Release|AnyCPU'">
+    <OutputPath>bin\NET45-Release\</OutputPath>
+    <DefineConstants>TRACE;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
+    <Optimize>true</Optimize>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Mono43-Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Mono43-Debug\</OutputPath>
+    <DefineConstants>TRACE;DEBUG;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <Prefer32Bit>false</Prefer32Bit>
+    <BuildConfigKey>NET45</BuildConfigKey>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Mono43-Release|AnyCPU' ">
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Mono43-Release\</OutputPath>
+    <DefineConstants>TRACE;DOTNET40 DOTNET45 FEATURE_SERIALIZATION</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <BuildConfigKey>NET45</BuildConfigKey>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="ADODB">
+      <HintPath>..\..\lib\net35\adodb.dll</HintPath>
+    </Reference>
+    <Reference Include="Serilog">
+      <HintPath>..\..\lib\net45\Serilog.dll</HintPath>
+    </Reference>
+    <Reference Include="Serilog.FullNetFx">
+      <HintPath>..\..\lib\net45\Serilog.FullNetFX.dll</HintPath>
+    </Reference>
+    <Reference Include="NLog">
+      <HintPath>..\..\lib\net45\NLog.dll</HintPath>
+    </Reference>
+  </ItemGroup>
+  <Choose>
+    <When Condition="$(TargetFrameworkVersion)!='v3.5'">
+      <ItemGroup>
+        <Reference Include="Microsoft.CSharp" />
+      </ItemGroup>
+    </When>
+  </Choose>
+  <ItemGroup>
+    <!--    <Reference Include="NLog">
+      <HintPath>$(RootPath)\lib\$(BuildConfigKey.ToLower())\NLog.dll</HintPath>
+    </Reference>-->
+    <Reference Include="Rhino.Mocks.CPP.Interfaces">
+      <HintPath>..\..\lib\net35\Rhino.Mocks.CPP.Interfaces.dll</HintPath>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <Choose>
+    <When Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
+      <ItemGroup>
+        <Reference Include="System.Data" />
+        <Reference Include="nunit.framework">
+          <SpecificVersion>False</SpecificVersion>
+          <HintPath>..\..\lib\nunit.framework.dll</HintPath>
+        </Reference>
+      </ItemGroup>
+    </When>
+  </Choose>
+  <Choose>
+    <When Condition="$(MSBuildTargets) == 'Silverlight 5.0' or $(MSBuildTargets) == 'Silverlight 4.0'">
+      <ItemGroup>
+        <Reference Include="NUnit.Silverlight.Framework">
+          <SpecificVersion>False</SpecificVersion>
+          <HintPath>$(RootPath)\lib\$(BuildConfigKey)\NUnit.Silverlight.Framework.dll</HintPath>
+        </Reference>
+        <Reference Include="NUnit.Silverlight.Compatibility">
+          <SpecificVersion>False</SpecificVersion>
+          <HintPath>$(RootPath)\lib\$(BuildConfigKey)\NUnit.Silverlight.Compatibility.dll</HintPath>
+        </Reference>
+      </ItemGroup>
+    </When>
+  </Choose>
+  <ItemGroup>
+    <Compile Include="AccessLevelTestCase.cs" />
+    <Compile Include="BasePEVerifyTestCase.cs" />
+    <Compile Include="BasicClassProxyTestCase.cs" />
+    <Compile Include="BasicInterfaceProxyTestCase.cs" />
+    <Compile Include="BugAttribute.cs" />
+    <Compile Include="BugsReported\Core40.cs" />
+    <Compile Include="BugsReported\DynProxy159.cs" />
+    <Compile Include="BugsReported\DynProxy145_SynchronizationContext.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPhoneWithFetch.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\NameValueCollectionAdapterTests.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithMethodsWithAllKindsOfOptionalParameters.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithMethodWithParameterWithDefaultValue.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithMethodWithParameterWithNullDefaultValue.cs" />
+    <Compile Include="DynamicProxy.Tests\ClassProxyWithDefaultValuesTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\ClassProxyWithMethodsWithOptionalParametersTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\GenericInterfaceWithGenericMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\InterfaceProxyWithMethodsWithOptionalParametersTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\InterfaceWithMethodsWithAllKindsOfOptionalParameters.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\InterfaceWithMethodWithParameterWithNullDefaultValue.cs" />
+    <Compile Include="MultipleSavedAssembliesTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\AdaptingGenericDictionaryTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\VirtualObjectTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\ConflictBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\ReferenceBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlReferenceManagerTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlArrayBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlAttributeBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlElementBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlIncludeBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlSelfBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XPathBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlAdapterAcceptanceTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\DefaultBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlRootBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Behaviors\XmlTypeBehaviorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Collections\XmlNodeListTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\Collections\XmlNodeSetTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlAdapterTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Address.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Color.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\XmlEquivalent.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IEmptyTest.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IBook.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\MemberwiseEqualityHashCodeStrategyTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IUseBehaviorBuilder.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\KeyBehaviorBuilderAttribute.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\CustomGetter.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IAddress.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IConversions.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IConversionsToString.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IEnsureMetaDoesNotConflict.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IItemContainer.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IItemContainerWithComponent.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IMutableName.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IName.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\InfrastructureStub.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPerson.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithDeniedInheritancePrefix.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithMethod.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithoutPrefix.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithPrefix.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithPrefixOverride.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithPrefixOverrideFurtherOverride.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPersonWithTypePrefixOverride.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IPhone.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\IStringLists.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Phone.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\PhoneConverter.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\XmlStructureComparer.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\DummyLazy.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\MockXmlIncludedTypeMap.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\MockXPathFunction.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\MockXPathVariable.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\NamespaceSource.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathCompilerTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathCursorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathMutableCursorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\DummyXmlNode.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\SysXmlCursorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\SysXmlNodeTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XmlNodeTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathReadableCursorTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlApis\XPathNodeTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlTypeSerializerCacheTestCase.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\Xml\XmlTypeSerializerTests.cs" />
+    <Compile Include="Core.Tests\Internal\InterfaceAttributeUtilTestCase.cs" />
+    <Compile Include="Core.Tests\Internal\PermissionUtilTestCase.cs" />
+    <Compile Include="Core.Tests\Internal\WeakKeyDictionaryTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\AbstractClassWithMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithProtectedGenericMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithProtectedMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\Component2.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\EmptyClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\HasCtorWithParamsStrings.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\HasCtorWithIntAndParamsArgument.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\HasCtorWithParamsArgument.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\HasFinalizeMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\HasFinalizer.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\IHasNonInheritableAttributeWithArray.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\HasTwoProtectedMethods.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\IHasNonInheritableAttributeWithArray2.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\InheritsAbstractClassWithMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\NonInheritableAttribute.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\NonInheritableWithArray2Attribute.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\NonInheritableWithArrayAttribute.cs" />
+    <Compile Include="DynamicProxy.Tests\DelegateProxyTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\HasNonInheritableAttribute.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassToSerialize.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithIndexer.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\DiffAccessLevelOnProperties.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\NonPublicConstructorClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\NonPublicMethodsClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ServiceClass.cs" />
+    <Compile Include="ClassWithAttributesTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Explicit\TwoInterfacesExplicit.cs" />
+    <Compile Include="DynamicProxy.Tests\InterceptionRetryTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\InterfaceProxyWithTargetInterfaceAdditionalInterfacesTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnAnyReferenceType.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnAnyTypeWithDefaultConstructor.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\IGenericInterfaceWithGenericMethodWithCascadingConstraintOnInterface.cs" />
+    <Compile Include="DynamicProxy.Tests\ProxyTypeCachingWithDifferentHooksTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\SerializableClassTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\C.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\ClassWithDirectAndIndirectSelfReference.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\ClassWithIndirectSelfReference.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\ComplexHolder.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\DelegateHolder.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\EventHandlerClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\SerializableExplicitImpl.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\IMixedInterface.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\IndirectDelegateHolder.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\MethodFilterHook.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\SerializableInterceptorSelector.cs" />
+    <Compile Include="DynamicProxy.Tests\Serialization\SerializableMixin.cs" />
+    <Compile Include="GenClasses\ClassWithGenArgs.cs" />
+    <Compile Include="GenClasses\ClassWithIndexer.cs" />
+    <Compile Include="GenClasses\ClassWithMethodWithReturnArrayOfListOfT.cs" />
+    <Compile Include="GenClasses\GenClassNameClash.cs" />
+    <Compile Include="GenClasses\GenClassWithConstraints.cs" />
+    <Compile Include="GenClasses\GenClassWithGenMethods.cs" />
+    <Compile Include="GenClasses\GenClassWithGenMethodsConstrained.cs" />
+    <Compile Include="GenClasses\GenClassWithGenReturn.cs" />
+    <Compile Include="GenClasses\OnlyGenMethodsClass.cs" />
+    <Compile Include="GenerationHookTestCase.cs" />
+    <Compile Include="GenericClassProxyTestCase.cs" />
+    <Compile Include="GenericConstraintsTestCase.cs" />
+    <Compile Include="GenericInterfaceProxyTestCase.cs" />
+    <Compile Include="GenInterfaces\GenInterface.cs" />
+    <Compile Include="GenInterfaces\GenInterfaceWithGenericTypes.cs" />
+    <Compile Include="GenInterfaces\GenInterfaceWithGenMethods.cs" />
+    <Compile Include="GenInterfaces\GenInterfaceWithGenMethodsAndGenReturn.cs" />
+    <Compile Include="GenInterfaces\IConstraint_Method1IsTypeStructAndMethod2.cs" />
+    <Compile Include="GenInterfaces\IHaveGenericMethodWithNewClassStructConstraints.cs" />
+    <Compile Include="Interceptors\LogInvocationInterceptor.cs" />
+    <Compile Include="Interceptors\ProceedNTimesInterceptor.cs" />
+    <Compile Include="Interceptors\ThrowingInterceptor.cs" />
+    <Compile Include="InterClasses\IExtendedService.cs" />
+    <Compile Include="InterClasses\IService.cs" />
+    <Compile Include="InterClasses\ServiceImpl.cs" />
+    <Compile Include="InterClasses\OneAndEmpty.cs" />
+    <Compile Include="InterClasses\WithRefOut.cs" />
+    <Compile Include="InterClasses\WithRefOutEmpty.cs" />
+    <Compile Include="Interfaces\ISimple.cs" />
+    <Compile Include="MethodsWithAttributesOnParametersTestCase.cs" />
+    <Compile Include="MixinTestCase.cs" />
+    <Compile Include="NLogIntegration\NLogTests.cs" />
+    <Compile Include="SerilogIntegration\SerilogTests.cs" />
+    <Compile Include="ThrowingInterceptorException.cs" />
+    <Compile Include="XmlConfigurationDeserializerTests.cs" />
+    <Compile Include="XmlSerializationTestCase.cs" />
+  </ItemGroup>
+  <Choose>
+    <When Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
+      <ItemGroup>
+        <Compile Include="log4netIntegration\log4netConfig.Designer.cs">
+          <AutoGen>True</AutoGen>
+          <DesignTime>True</DesignTime>
+          <DependentUpon>log4netConfig.resx</DependentUpon>
+        </Compile>
+        <Compile Include="log4netIntegration\Log4netFactoryTestCase.cs" />
+      </ItemGroup>
+    </When>
+  </Choose>
+  <ItemGroup>
+    <None Include="..\..\buildscripts\CastleKey.snk">
+      <Link>CastleKey.snk</Link>
+    </None>
+    <None Include="App.config">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Properties\Settings.settings">
+      <Generator>SettingsSingleFileGenerator</Generator>
+      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
+    </None>
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Components.DictionaryAdapter.Tests\AdaptingNameValueCollectionsTestCase.cs" />
+    <Compile Include="BugsReported\DynProxy132.cs" />
+    <Compile Include="ChangeProxyTargetInterceptor.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\CreateHashtableDictionaryStrategy.cs" />
+    <Compile Include="Components.DictionaryAdapter.Tests\DictionaryAdapterFactoryTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithAttributesOnMethodParameters.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithExplicitInterface.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithInterface.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithVirtualInterface.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWith_Smart_Attribute.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\RequiredAttribute.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithAutoProperty.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithNoDefaultCtor.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithProtectedGenericMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithProtectedMethod.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtualClassWithPublicField.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtuallyImplementsInterfaceWithEvent.cs" />
+    <Compile Include="DynamicProxy.Tests\ClassProxyWithTargetTestCase.cs" />
+    <Compile Include="ComInterfacesTests.cs" />
+    <Compile Include="DynamicProxy.Tests\Explicit\GenericMethodExplicit.cs" />
+    <Compile Include="DynamicProxy.Tests\Explicit\GenInterfaceExplicit.cs" />
+    <Compile Include="DynamicProxy.Tests\Explicit\SimpleInterfaceExplicit.cs" />
+    <Compile Include="DynamicProxy.Tests\Explicit\WithRefOutExplicit.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\IBase.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\ISub1.cs" />
+    <Compile Include="DynamicProxy.Tests\Interfaces\ISub2.cs" />
+    <Compile Include="DynamicProxy.Tests\ProxyTypeCachingTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\ExplicitInterfaceTestCase.cs" />
+    <Compile Include="CustomAttributesTestCase.cs" />
+    <Compile Include="GenClasses\GenClassWithExplicitImpl.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="GenInterfaces\GenInterfaceWithMethodWithNestedGenericParameter.cs" />
+    <Compile Include="GenInterfaces\GenInterfaceWithMethodWithNestedGenericParameterByRef.cs" />
+    <Compile Include="GenInterfaces\GenInterfaceWithMethodWithNestedGenericReturn.cs" />
+    <Compile Include="IdEqualityHashCodeStrategy.cs" />
+    <Compile Include="Interceptors\AssertCanChangeTargetInterceptor.cs" />
+    <Compile Include="Interceptors\AssertCannotChangeTargetInterceptor.cs" />
+    <Compile Include="Interceptors\CallCountingInterceptor.cs" />
+    <Compile Include="Interceptors\AddTwoInterceptor.cs" />
+    <Compile Include="BaseTestCaseTestCase.cs" />
+    <Compile Include="BasicInterfaceProxyWithoutTargetTestCase.cs" />
+    <Compile Include="BugsReportedTestCase.cs" />
+    <Compile Include="BugsReported\Camera.cs" />
+    <Compile Include="BugsReported\ConstraintViolationInDebuggerTestCase.cs" />
+    <Compile Include="BugsReported\DynProxy46.cs" />
+    <Compile Include="BugsReported\DynProxy88.cs" />
+    <Compile Include="CacheKeyTestCase.cs" />
+    <Compile Include="CanDefineAdditionalCustomAttributes.cs" />
+    <Compile Include="ClassEmitterTestCase.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassCallingVirtualMethodFromCtor.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithCharRetType.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithConstructors.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithVariousConstructors.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithInternalDefaultConstructor.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithProtectedDefaultConstructor.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\MySerializableClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ProtectedInternalConstructorClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\SimpleClass.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassOverridingEqualsAndGetHashCode.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\ClassWithDefaultConstructor.cs" />
+    <Compile Include="DynamicProxy.Tests\ClassProxyConstructorsTestCase.cs" />
+    <Compile Include="Interceptors\DoNothingInterceptor.cs" />
+    <Compile Include="GenClasses\ClassWithMethodWithArrayOfListOfT.cs" />
+    <Compile Include="GenClasses\ClassWithMethodWithGenericOfGenericOfT.cs" />
+    <Compile Include="GenClasses\MethodWithArgumentBeingArrayOfGenericTypeOfT.cs" />
+    <Compile Include="GenericMethodsProxyTestCase.cs" />
+    <Compile Include="DictionarySerializationTestCase.cs" />
+    <Compile Include="GenInterfaces\GenericMethodWhereOneGenParamInheritsTheOther.cs" />
+    <Compile Include="InterClasses\IInterfaceWithGenericMethodWithDependentConstraint.cs" />
+    <Compile Include="InheritedInterfacesTestCase.cs" />
+    <Compile Include="InterceptorSelectorTestCase.cs" />
+    <Compile Include="InterfaceProxyBaseTypeTestCase.cs" />
+    <Compile Include="InterfaceProxyWithTargetInterfaceTestCase.cs" />
+    <Compile Include="Interfaces\IDecimalOutParam.cs" />
+    <Compile Include="Interfaces\IdenticalInterfaces.cs" />
+    <Compile Include="Interfaces\IEmpty.cs" />
+    <Compile Include="Interfaces\IFooWithIntPtr.cs" />
+    <Compile Include="Interfaces\IFooWithOutIntPtr.cs" />
+    <Compile Include="Interfaces\IGenericWithRefOut.cs" />
+    <Compile Include="Interfaces\IHaveIndexers.cs" />
+    <Compile Include="Interfaces\INullable.cs" />
+    <Compile Include="Interfaces\IOne.cs" />
+    <Compile Include="Interfaces\ITwo.cs" />
+    <Compile Include="Interfaces\IWithRefOut.cs" />
+    <Compile Include="InterClasses\One.cs" />
+    <Compile Include="InterClasses\OneTwo.cs" />
+    <Compile Include="InterClasses\Two.cs" />
+    <Compile Include="InvocationMethodInvocationTargetTestCase.cs" />
+    <Compile Include="InvocationTypesCachingTestCase.cs" />
+    <Compile Include="LoggingTestCase.cs" />
+    <Compile Include="MethodEquivalenceTestCase.cs" />
+    <Compile Include="MixinDataTestCase.cs" />
+    <Compile Include="CrossAppDomainCaller.cs" />
+    <Compile Include="MethodComparerTestCase.cs" />
+    <Compile Include="GenericTestUtility.cs" />
+    <Compile Include="GenInterfaces\GenInterfaceHierarchy.cs" />
+    <Compile Include="GenInterfaces\GenExplicitImplementation.cs" />
+    <Compile Include="GenInterfaces\GenInterfaceWithGenArray.cs" />
+    <Compile Include="GenInterfaces\OnlyGenMethodsInterface.cs" />
+    <Compile Include="Interceptors\ChangeTargetInterceptor.cs" />
+    <Compile Include="Interceptors\KeepDataInterceptor.cs" />
+    <Compile Include="InterClasses\AlwaysThrowsServiceImpl.cs" />
+    <Compile Include="InterClasses\ClassWithIndexer.cs" />
+    <Compile Include="InterClasses\ClassWithMarkerInterface.cs" />
+    <Compile Include="InterClasses\ClassWithMultiDimentionalArray.cs" />
+    <Compile Include="InterClasses\IClassWithMultiDimentionalArray.cs" />
+    <Compile Include="InterClasses\IMyInterface2.cs" />
+    <Compile Include="InterClasses\InterfaceWithIndexer.cs" />
+    <Compile Include="InterClasses\IService2.cs" />
+    <Compile Include="InvocationTestCase.cs" />
+    <Compile Include="MethodFinderTestCase.cs" />
+    <Compile Include="Mixins\ClassImplementingIDerivedSImpleMixin.cs" />
+    <Compile Include="Mixins\ClassImplementingISimpleMixin.cs" />
+    <Compile Include="Mixins\ComplexMixin.cs" />
+    <Compile Include="Mixins\IDerivedSimpleMixin.cs" />
+    <Compile Include="Mixins\OtherMixin.cs" />
+    <Compile Include="Mixins\OtherMixinImplementingISimpleMixin.cs" />
+    <Compile Include="Mixins\SimpleMixin.cs" />
+    <Compile Include="ModuleScopeTestCase.cs" />
+    <Compile Include="NonProxiedMethodsNoTargetTestCase.cs" />
+    <Compile Include="NonProxiedMixinMethodsTestCase.cs" />
+    <Compile Include="NonProxiedTargetMethodsTestCase.cs" />
+    <Compile Include="OrderOfInterfacePrecedenceTestCase.cs" />
+    <Compile Include="OutRefParamsTestCase.cs" />
+    <Compile Include="PersistentProxyBuilderTestCase.cs" />
+    <Compile Include="Interceptors\ProceedOnTypeInterceptor.cs" />
+    <Compile Include="Properties\Settings.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTimeSharedInput>True</DesignTimeSharedInput>
+      <DependentUpon>Settings.settings</DependentUpon>
+    </Compile>
+    <Compile Include="ProxyGenerationOptionsTestCase.cs" />
+    <Compile Include="Interceptors\RequiredParamInterceptor.cs" />
+    <Compile Include="ProxyKind.cs" />
+    <Compile Include="ProxyNothingHook.cs" />
+    <Compile Include="ProxyTargetAccessorHandlingTestCase.cs" />
+    <Compile Include="RhinoMocksTestCase.cs" />
+    <Compile Include="InternalsVisibleTo.cs" />
+    <Compile Include="Interceptors\SetReturnValueInterceptor.cs" />
+    <Compile Include="Interceptors\WithCallbackInterceptor.cs" />
+    <Compile Include="DynamicProxy.Tests\Classes\VirtuallyImplementsInterfaceWithProperty.cs" />
+    <Compile Include="ConsoleLoggerTestCase.cs" />
+    <Compile Include="DiagnosticsLoggerTestCase.cs" />
+    <Compile Include="LevelFilteredLoggerTests.cs" />
+    <Compile Include="MonitorLockTestCase.cs" />
+    <Compile Include="SlimReadWriteLockTestCase.cs" />
+    <Compile Include="ReflectionBasedDictionaryAdapterTestCase.cs" />
+    <Compile Include="Core.Tests\Resources\AssemblyResourceFactoryTestCase.cs" />
+    <Compile Include="Core.Tests\Resources\CustomUriTestCase.cs" />
+    <Compile Include="Core.Tests\Resources\FileResourceFactoryTestCase.cs" />
+    <Compile Include="Core.Tests\Resources\MoreRes\TestRes.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>TestRes.resx</DependentUpon>
+    </Compile>
+    <Compile Include="Core.Tests\Resources\UncResourceFactoryTestCase.cs" />
+    <Compile Include="StreamLoggerTests.cs" />
+    <Compile Include="TestDictionaryValidator.cs" />
+    <Compile Include="TraceLoggerTests.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="log4netIntegration\log4net.xml" />
+    <EmbeddedResource Include="Core.Tests\Resources\file1.txt">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Core.Tests\Resources\MoreRes\TestRes.resx">
+      <Generator>ResXFileCodeGenerator</Generator>
+      <LastGenOutput>TestRes.Designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+    <Content Include="Core.Tests\Resources\MoreRes\file2.txt" />
+    <EmbeddedResource Include="log4netIntegration\log4netConfig.resx">
+      <Generator>ResXFileCodeGenerator</Generator>
+      <LastGenOutput>log4netConfig.Designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+  </ItemGroup>
+  <Choose>
+    <When Condition="$(MSBuildTargets)!='Silverlight 5.0' and $(MSBuildTargets)!='Silverlight 4.0'">
+      <ItemGroup>
+        <ProjectReference Include="..\Castle.Services.Logging.log4netIntegration\Castle.Services.Logging.log4netIntegration.csproj">
+          <Project>{FA79D6B4-30B1-444A-A627-ED283BF6406B}</Project>
+          <Name>Castle.Services.Logging.log4netIntegration</Name>
+        </ProjectReference>
+        <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL">
+          <SpecificVersion>False</SpecificVersion>
+          <HintPath>..\..\lib\net35\log4net.dll</HintPath>
+        </Reference>
+      </ItemGroup>
+    </When>
+  </Choose>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" Condition="($(MSBuildTargets) == '') Or ($(MSBuildTargets) == 'CSharp')" />
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v4.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 4.0'" />
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Silverlight\v5.0\Microsoft.Silverlight.CSharp.targets" Condition="$(MSBuildTargets) == 'Silverlight 5.0'" />
+  <Import Project="$(RootPath)\Settings.proj" />
+  <Import Project="$(BuildScriptsPath)\Castle.Common.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <ItemGroup>
+    <ProjectReference Include="..\Castle.Core\Castle.Core.csproj">
+      <Project>{E4FA5B53-7D36-429E-8E5C-53D5479242BA}</Project>
+      <Name>Castle.Core</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\Castle.Services.Logging.log4netIntegration\Castle.Services.Logging.log4netIntegration.csproj">
+      <Project>{FA79D6B4-30B1-444A-A627-ED283BF6406B}</Project>
+      <Name>Castle.Services.Logging.log4netIntegration</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\Castle.Services.Logging.NLogIntegration\Castle.Services.Logging.NLogIntegration.csproj">
+      <Project>{D680B5DB-B943-4BB5-891A-1695DEF86A3A}</Project>
+      <Name>Castle.Services.Logging.NLogIntegration</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\Castle.Services.Logging.SerilogIntegration\Castle.Services.Logging.SerilogIntegration.csproj">
+      <Project>{15410E1F-E79F-43B6-B403-228768DF793D}</Project>
+      <Name>Castle.Services.Logging.SerilogIntegration</Name>
+    </ProjectReference>
+  </ItemGroup>
 </Project>
\ No newline at end of file
